# Inspector

Most extreme case is making a lightweight version of the environment completely toggleable. We have this for every game that integrates onto the trainer platform. You can view it [here](/trainer-platform/overview.md)

Full in-game integrations can also do this, but it's a heavier lift for game studios, so a popular choice is a scenario generator. You can do so with the following code.

Start by defining the game world scenarios

{% tabs %}
{% tab title="Javascript" %}

```javascript
const scenarios = [
  {
    gameArea,
    paddleLeft: { ...paddleLeft, y: 100 },
    paddleRight: { ...paddleRight, y: 200 },
    ball: { radius: ballRadius, x: 125, y: 300, dx: -4, dy: -4 }
  },
  {
    gameArea,
    paddleLeft: { ...paddleLeft, y: 300 },
    paddleRight: { ...paddleRight, y: 150 },
    ball: { radius: ballRadius, x: 200, y: 100, dx: -4, dy: 4 }
  },
  {
    gameArea,
    paddleLeft: { ...paddleLeft, y: 250 },
    paddleRight: { ...paddleRight, y: 50 },
    ball: { radius: ballRadius, x: 200, y: 200, dx: -4, dy: -4 }
  },
  {
    gameArea,
    paddleLeft: { ...paddleLeft, y: 125 },
    paddleRight: { ...paddleRight, y: 200 },
    ball: { radius: ballRadius, x: 125, y: 300, dx: -4, dy: 4 }
  }    
]
```

{% endtab %}

{% tab title="Second Tab" %}

{% endtab %}
{% endtabs %}

Next, use the state space conversion function:

{% tabs %}
{% tab title="Javascript" %}

```javascript
const scenarioStates = scenarios.map((x) => getNeuralNetState(x)[0])
```

{% endtab %}

{% tab title="Second Tab" %}

{% endtab %}
{% endtabs %}

Next you simply call the function to get the probabilities in each situation:

{% tabs %}
{% tab title="Javascript" %}

```javascript
model.getProbabilities(scenarioStates)
```

{% endtab %}

{% tab title="C# - Unity" %}

{% endtab %}
{% endtabs %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.nrnagents.ai/advanced-options/inspector.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
